### Hierarchy

- unknown
  - ProcessModel

## Index

### Constructors

- constructor

### Methods

- addRawTransactionInputs
- clearArbitrator
- clearMaker
- clearPubKeyRing
- clearRawTransactionInputsList
- clearTaker
- clearTempTradingPeerNodeAddress
- getAccountId
- getArbitrator
- getBuyerPayoutAmountFromMediation
- getChangeOutputAddress
- getChangeOutputValue
- getFundsNeededForTradeAsLong
- getMaker
- getMakerSignature
- getMediatedPayoutTxSignature
- getMediatedPayoutTxSignature_asB64
- getMediatedPayoutTxSignature_asU8
- getMultisigAddress
- getMyMultiSigPubKey
- getMyMultiSigPubKey_asB64
- getMyMultiSigPubKey_asU8
- getOfferId
- getPaymentStartedMessageState
- getPayoutTxSignature
- getPayoutTxSignature_asB64
- getPayoutTxSignature_asU8
- getPubKeyRing
- getRawTransactionInputsList
- getSellerPayoutAmountFromMediation
- getTakeOfferFeeTxId
- getTaker
- getTempTradingPeerNodeAddress
- getUseSavingsWallet
- hasArbitrator
- hasMaker
- hasPubKeyRing
- hasTaker
- hasTempTradingPeerNodeAddress
- serializeBinary
- setAccountId
- setArbitrator
- setBuyerPayoutAmountFromMediation
- setChangeOutputAddress
- setChangeOutputValue
- setFundsNeededForTradeAsLong
- setMaker
- setMakerSignature
- setMediatedPayoutTxSignature
- setMultisigAddress
- setMyMultiSigPubKey
- setOfferId
- setPaymentStartedMessageState
- setPayoutTxSignature
- setPubKeyRing
- setRawTransactionInputsList
- setSellerPayoutAmountFromMediation
- setTakeOfferFeeTxId
- setTaker
- setTempTradingPeerNodeAddress
- setUseSavingsWallet
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ProcessModel(): ProcessModel

- Inherited from jspb.Message.constructor

  #### Returns ProcessModel

## Methods

### addRawTransactionInputs

- addRawTransactionInputs(value?: RawTransactionInput, index?: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:7006

  #### Parameters

  - ##### Optional value: RawTransactionInput

  - ##### Optional index: number

  #### Returns RawTransactionInput

### clearArbitrator

- clearArbitrator(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7055

  #### Returns ProcessModel

### clearMaker

- clearMaker(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7045

  #### Returns ProcessModel

### clearPubKeyRing

- clearPubKeyRing(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6993

  #### Returns ProcessModel

### clearRawTransactionInputsList

- clearRawTransactionInputsList(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7005

  #### Returns ProcessModel

### clearTaker

- clearTaker(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7050

  #### Returns ProcessModel

### clearTempTradingPeerNodeAddress

- clearTempTradingPeerNodeAddress(): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7060

  #### Returns ProcessModel

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6987

  #### Returns string

### getArbitrator

- getArbitrator(): undefined | TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7052

  #### Returns undefined | TradingPeer

### getBuyerPayoutAmountFromMediation

- getBuyerPayoutAmountFromMediation(): number

- - Defined in src/protobuf/pb_pb.d.ts:7033

  #### Returns number

### getChangeOutputAddress

- getChangeOutputAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:7011

  #### Returns string

### getChangeOutputValue

- getChangeOutputValue(): number

- - Defined in src/protobuf/pb_pb.d.ts:7008

  #### Returns number

### getFundsNeededForTradeAsLong

- getFundsNeededForTradeAsLong(): number

- - Defined in src/protobuf/pb_pb.d.ts:7017

  #### Returns number

### getMaker

- getMaker(): undefined | TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7042

  #### Returns undefined | TradingPeer

### getMakerSignature

- getMakerSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:7039

  #### Returns string

### getMediatedPayoutTxSignature

- getMediatedPayoutTxSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7028

  #### Returns string | Uint8Array

### getMediatedPayoutTxSignature_asB64

- getMediatedPayoutTxSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7030

  #### Returns string

### getMediatedPayoutTxSignature_asU8

- getMediatedPayoutTxSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7029

  #### Returns Uint8Array

### getMultisigAddress

- getMultisigAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:7062

  #### Returns string

### getMyMultiSigPubKey

- getMyMultiSigPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7020

  #### Returns string | Uint8Array

### getMyMultiSigPubKey_asB64

- getMyMultiSigPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7022

  #### Returns string

### getMyMultiSigPubKey_asU8

- getMyMultiSigPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7021

  #### Returns Uint8Array

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6984

  #### Returns string

### getPaymentStartedMessageState

- getPaymentStartedMessageState(): string

- - Defined in src/protobuf/pb_pb.d.ts:7025

  #### Returns string

### getPayoutTxSignature

- getPayoutTxSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6998

  #### Returns string | Uint8Array

### getPayoutTxSignature_asB64

- getPayoutTxSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7000

  #### Returns string

### getPayoutTxSignature_asU8

- getPayoutTxSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6999

  #### Returns Uint8Array

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:6990

  #### Returns undefined | PubKeyRing

### getRawTransactionInputsList

- getRawTransactionInputsList(): RawTransactionInput []

- - Defined in src/protobuf/pb_pb.d.ts:7003

  #### Returns RawTransactionInput []

### getSellerPayoutAmountFromMediation

- getSellerPayoutAmountFromMediation(): number

- - Defined in src/protobuf/pb_pb.d.ts:7036

  #### Returns number

### getTakeOfferFeeTxId

- getTakeOfferFeeTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6995

  #### Returns string

### getTaker

- getTaker(): undefined | TradingPeer

- - Defined in src/protobuf/pb_pb.d.ts:7047

  #### Returns undefined | TradingPeer

### getTempTradingPeerNodeAddress

- getTempTradingPeerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:7057

  #### Returns undefined | NodeAddress

### getUseSavingsWallet

- getUseSavingsWallet(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7014

  #### Returns boolean

### hasArbitrator

- hasArbitrator(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7054

  #### Returns boolean

### hasMaker

- hasMaker(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7044

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6992

  #### Returns boolean

### hasTaker

- hasTaker(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7049

  #### Returns boolean

### hasTempTradingPeerNodeAddress

- hasTempTradingPeerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7059

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7065

  #### Returns Uint8Array

### setAccountId

- setAccountId(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6988

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setArbitrator

- setArbitrator(value?: TradingPeer ): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7053

  #### Parameters

  - ##### Optional value: TradingPeer

  #### Returns ProcessModel

### setBuyerPayoutAmountFromMediation

- setBuyerPayoutAmountFromMediation(value: number): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7034

  #### Parameters

  - ##### value: number

  #### Returns ProcessModel

### setChangeOutputAddress

- setChangeOutputAddress(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7012

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setChangeOutputValue

- setChangeOutputValue(value: number): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7009

  #### Parameters

  - ##### value: number

  #### Returns ProcessModel

### setFundsNeededForTradeAsLong

- setFundsNeededForTradeAsLong(value: number): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7018

  #### Parameters

  - ##### value: number

  #### Returns ProcessModel

### setMaker

- setMaker(value?: TradingPeer ): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7043

  #### Parameters

  - ##### Optional value: TradingPeer

  #### Returns ProcessModel

### setMakerSignature

- setMakerSignature(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7040

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setMediatedPayoutTxSignature

- setMediatedPayoutTxSignature(value: string | Uint8Array): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7031

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

### setMultisigAddress

- setMultisigAddress(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7063

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setMyMultiSigPubKey

- setMyMultiSigPubKey(value: string | Uint8Array): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7023

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

### setOfferId

- setOfferId(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6985

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setPaymentStartedMessageState

- setPaymentStartedMessageState(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7026

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setPayoutTxSignature

- setPayoutTxSignature(value: string | Uint8Array): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7001

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6991

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns ProcessModel

### setRawTransactionInputsList

- setRawTransactionInputsList(value: RawTransactionInput []): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7004

  #### Parameters

  - ##### value: RawTransactionInput []

  #### Returns ProcessModel

### setSellerPayoutAmountFromMediation

- setSellerPayoutAmountFromMediation(value: number): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7037

  #### Parameters

  - ##### value: number

  #### Returns ProcessModel

### setTakeOfferFeeTxId

- setTakeOfferFeeTxId(value: string): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:6996

  #### Parameters

  - ##### value: string

  #### Returns ProcessModel

### setTaker

- setTaker(value?: TradingPeer ): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7048

  #### Parameters

  - ##### Optional value: TradingPeer

  #### Returns ProcessModel

### setTempTradingPeerNodeAddress

- setTempTradingPeerNodeAddress(value?: NodeAddress ): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7058

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns ProcessModel

### setUseSavingsWallet

- setUseSavingsWallet(value: boolean): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7015

  #### Parameters

  - ##### value: boolean

  #### Returns ProcessModel

### toObject

- toObject(includeInstance?: boolean): ProcessModel . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7066

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ProcessModel . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7069

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProcessModel

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProcessModel, reader: BinaryReader): ProcessModel

- - Defined in src/protobuf/pb_pb.d.ts:7070

  #### Parameters

  - ##### message: ProcessModel

  - ##### reader: BinaryReader

  #### Returns ProcessModel

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ProcessModel, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7068

  #### Parameters

  - ##### message: ProcessModel

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ProcessModel ): ProcessModel . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7067

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProcessModel

  #### Returns ProcessModel . AsObject

Generated using TypeDoc